Bug 994563 - Warning in visudo: cycle in Host_Alias even without cycle
Warning in visudo: cycle in Host_Alias even without cycle
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sudo (Show other bugs)
6.4
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Kopeček
David Spurek
:
Depends On:
Blocks: 994566
  Show dependency treegraph
 
Reported: 2013-08-07 09:55 EDT by Dalibor Pospíšil
Modified: 2015-03-02 00:27 EST (History)
6 users (show)

See Also:
Fixed In Version: sudo-1.8.6p3-8.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
: 994566 (view as bug list)
Environment:
Last Closed: 2013-11-21 18:13:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (15.20 KB, patch)
2013-08-09 04:46 EDT, Daniel Kopeček
no flags Details | Diff
proposed patch (15.13 KB, patch)
2013-08-09 04:57 EDT, Daniel Kopeček
no flags Details | Diff
proposed patch (15.13 KB, patch)
2013-08-09 04:58 EDT, Daniel Kopeček
no flags Details | Diff

  None (edit)
Description Dalibor Pospíšil 2013-08-07 09:55:22 EDT
Description of problem:
visudo shows cycle warning for following sudoers:

# cat ./sudoers
Host_Alias      HALIAS1 = host1
Host_Alias      HALIAS2 = HALIAS1, host2
Host_Alias      HALIAS3 = HALIAS1, HALIAS2
root HALIAS3 = /bin/echo hello

Also using -s option it says 'parse error in (null)'.

Version-Release number of selected component (if applicable):
sudo-1.8.6p3-7.el6

How reproducible:
100%

Steps to Reproduce:
1. visudo -cf ./sudoers
2. visudo -csf ./sudoers

Actual results:
1.
visudo: Warning: cycle in Host_Alias `HALIAS1'
./sudoers: parsed OK

2.
visudo: Error: cycle in Host_Alias `HALIAS1'
parse error in (null)

Expected results:
./sudoers: parsed OK

Additional info:
sudo-1.7.2p1-28.el5 behaves correctly
Comment 1 Dalibor Pospíšil 2013-08-07 10:01:25 EDT
This is regression against RHEL-5
Comment 2 Daniel Kopeček 2013-08-09 04:46:59 EDT
Created attachment 784764 [details]
proposed patch
Comment 3 Daniel Kopeček 2013-08-09 04:57:40 EDT
Created attachment 784767 [details]
proposed patch
Comment 4 Daniel Kopeček 2013-08-09 04:58:54 EDT
Created attachment 784768 [details]
proposed patch
Comment 10 errata-xmlrpc 2013-11-21 18:13:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1701.html

Note You need to log in before you can comment on or make changes to this bug.